evalTraits.h File Reference
`#include "osl/basic_type.h"`
`#include <algorithm>`

Go to the source code of this file.

## Classes

struct | osl::eval::EvalTraits< BLACK >
struct | osl::eval::EvalTraits< WHITE >
struct | osl::EvalTraits< P >

## Namespaces

namespace | osl
namespace | osl::eval

## Functions

bool | osl::eval::betterThan (Player p, int v1, int v2)
bool | osl::eval::notLessThan (Player p, int v1, int v2)
int | osl::eval::max (Player p, int v1, int v2)
int | osl::eval::min (Player p, int v1, int v2)
int | osl::eval::delta (Player p)
| playerにとってちょっと高い値
int | osl::eval::convert (Player P, int value)
template<class Eval>
bool | osl::eval::isConsistentValueForNormalState (int value)
| 詰がからんでいない局面での通常の評価値
bool | osl::eval::isConsistentValue (int value)